# Tilannekatsaus
## Tilanne: 28.03.2019 klo 13:14
```mermaid
gantt
    title Projektin vaiheet
    dateFormat  DD-MM-YYYY
    section GANTT
    Suunnittelu :a1, 14-01-2019, 24-02-2019
    Toteutus ja dokumentaation päivitys :a2, 24-02-2019, 17-03-2019
    Testaussuunnittelu ja dokumentaation päivitys   :a3, 17-03-2019, 24-03-2019
    Testaus :a4, 24-03-2019, 14-04-2019
    Projektin päättäminen   :a5, 14-04-2019, 21-04-2019
    

```
```mermaid
gantt
    title Julkaisuaikataulu
    dateFormat  DD-MM-YYYY
    section GANTT
    Profiilin luonti :a1, 24-02-2019, 03-03-2019
    Profiilin muokkaus :a2, 24-02-2019, 03-03-2019
    Säätiedot :a3, 03-03-2019, 10-03-2019
    Paikkavalitsin :a4, 10-03-2019, 17-03-2019
    Pvm valitsin :a5, 17-03-2019, 24-03-2019
    Pukeutumis suositukset :a6, 24-03-2019, 31-03-2019
    
```
* Vapaa kuvaus tilanteesta: Ominaisuuksista pukeutumisvinkkitekstejä tarjoava tietokanta **ei** toiminnassa. Loput ominaisuuksista **toimivat vain paikkallisessa ajossa**. Tarkoittaen siis sitä, ettei sovelluskesta ole toistaiseksi vielä versiota, joka olisi palvelimella ja täten käytettävissä millä tahansa tietokoneella selainta käyttämällä.

## Jäsenet
* Kallio, Santeri, Developer
* Kyrönlahti, Joni, Developer, sihteeri
* Parviainen, Niko, Senior Developer, projektipäällikkö
* Rampanen, Olli, Developer
* Tchotbaev, Hanat, Developer

## Aikaansaannokset
* Linkki toteutukseen: (tulossa, odottaa palvelimelle asettamista)

| Ominaisuus:           | Aloituspvm.: | Lopetuspvm.: | Kuvaus: | Valmiusprosentti: |
|-----------------------|--------------|--------------|---------|-------------------|
|[Profiilin luonti](dokumentit/02-vaatimusmaarittely/Ominaisuudet/Ominaisuuus-profiililuonti.md) | 24.02.2019   | 03.03.2019   |<kirjoita tähän vapaa kuvaus valmiusasteesta>|<valmius%>|
|[Profiilin muokkaus](dokumentit/02-vaatimusmaarittely/Ominaisuudet/Ominaisuus-profiilimuokkaus.md)| 24.02.2019   | 03.03.2019   |<kirjoita tähän vapaa kuvaus valmiusasteesta>|<valmius%>|
|[Säätiedot](dokumentit/02-vaatimusmaarittely/Ominaisuudet/Ominaisuuus-säätiedot.md)| 04.03.2019   | 10.03.2019   |<kirjoita tähän vapaa kuvaus valmiusasteesta>|<valmius%>|
|[Paikkavalitsin](dokumentit/02-vaatimusmaarittely/Ominaisuudet/Ominaisuus-paikkavalitsin.md)| 11.03.2019   | 17.03.2019   |<kirjoita tähän vapaa kuvaus valmiusasteesta>|<valmius%>|
|[Aikavalitsin](dokumentit/02-vaatimusmaarittely/Ominaisuudet/Ominaisuus-aikavalitsin.md)| 18.03.2019   | 24.03.2019   |<kirjoita tähän vapaa kuvaus valmiusasteesta>|<valmius%>|
|[Pukeutumissuositukset](dokumentit/02-vaatimusmaarittely/Ominaisuudet/Ominaisuus-pukeutumissuositukset.md)| 25.03.2019   | 31.03.2019   |<kirjoita tähän vapaa kuvaus valmiusasteesta>|<valmius%>|

## Toimitettavissa
* Toistaiseksi käytännössä vain paikallisessa muistissa toimiva demottava versio ja sen lähdekoodi.

## Menneet tehtävät
* Sprint 01 - GitLabin setup, issuiden tekeminen, opetusmateriaalien opiskelu
* Sprint 02 - Viestintämäärittelyn, vaatimusmäärittelyn ja projektisuunnitelman tekemistä, toimeksiantoon tutustuminen, opetusmateriaalien opiskelu
* Sprint 03 - Sidosryhmien, kohderyhmien ja asiakasprofiilejen teko, mockupin teko, toimeksiantajan haastattelu ja haastattelun muistiinpanojen kertaus 
* Sprint 04 - Projektisuunnitelma, Gantt-kavio projektista, Vaatimusmäärittely jatkui
* Sprint 05 - Kotisivut valmiiksi, tietokannan pohja, ominaisuuslistaus, omiasuuskuvaukset, julkaisusuunnitelman Gantt-kaavio
* Sprint 06 - Etappi 1 katselmointiin valmistautuminen (vaatimusmäärittelyn viimeistely, projektisuunnitelman viimeistely, projektisopimus ja sen tulostus, tarjous sisältäen tunti- ja hinta-arviot, sihteerin vastuunimitys, esittelyn muu tehtävänjako ja itse esitys/E1 katselmointi.)
* Sprint 07 - Etäviikko, tuntikirjanpidon selkeytys taulukkomuotoon, dynaaminen hintaseuranta, Sää-API:ien benchmarkkaus
* Sprint 08 - Listattujen ominaisuuksien toteutus jatkui, kartta-APIn tutkiminen, Sää-API:n valinta
* Sprint 09 - Listattujen ominaisuuksien toteutus jatkui, Testaussuunnittelu ja -dokumentoiminen alkoi
* Sprint 10 - Listattujen ominaisuuksien toteutus jatkui, ensimmäiset omianisuuksien mergaus/integroiminen, ensimmäiset paikallisesti toimivat versiot, testausdokumentoiminen jatkui
* Sprint 11 - Kurssikohtainen tilannekatsaus sisäisesti, tilannekatsauksien päivitys, tuntikirjanpidon päivitys ja yhteenvetäminen, toteutuksen ensimmäisen version integroiminen ja verkkoon asettaminen, koekäyttöjärjestelyt ja itse koekäyttötilaisuus, testausdokumentaation teko

## Käytetty aika
* Havainnollistettavissa toistaiseksi vain vaiheittan. Oheisessa taulukossa vaiheet esitetty välilehdissä: [Tuntikirjaukset](https://jamkstudent-my.sharepoint.com/:x:/g/personal/k8573_student_jamk_fi/ER1gv61tFy5FuKJXLY_csCcBKl6KDl8gKCxR4TE5sB_ayQ?e=Y09I8w)

## Tunteja jäljellä
* ks. Yhteenveto-välilehti: [Tuntikirjaukset](https://jamkstudent-my.sharepoint.com/:x:/g/personal/k8573_student_jamk_fi/ER1gv61tFy5FuKJXLY_csCcBKl6KDl8gKCxR4TE5sB_ayQ?e=Y09I8w)

## Nykyinen hinta
* ks. Yhteenveto-välilehti: [Tuntikirjaukset](https://jamkstudent-my.sharepoint.com/:x:/g/personal/k8573_student_jamk_fi/ER1gv61tFy5FuKJXLY_csCcBKl6KDl8gKCxR4TE5sB_ayQ?e=Y09I8w)

## Käynnissä
* Tietokannan pystytys ja yhdistäminen sovellukseen
* Palvelimen hankkiminen
* Sovelluksen pystytys palvelimelle
* Testausdokumentaatio kokonaisuudessaan

## Suurimaat haasteet ja voitot
* Haasteet:
	* Sidosryhmien, kohderyhmien ja asiakasprofiilejen erottaminen käsitteinä
	* Priorisointiperiaatteiden päättäminen
	* Sairaustapaukset, josta resurssien ja miehistön vajaus
	* Joillakin opiskelijoilla rajallisempi tekninen osaaminen
	* API-kyselyrajoitukset
	* Tietokannan yhdistäminen sovellukseen
	* Joissakin vaiheissa resursseja käytetty vajaavaisesti, toisissa resurssit ylitetty
	* Testausdokumentoiminen haasteellinen ja täysin uusi työtapa
* Voitot:
	* Tilanne keskimäärin kurssin toteutukertakohtaisesti kohtalainen
	* Ominaisuuksien ensimmäinen yhdistäminen (mergaus) suoritettu yhdessä työpäivässä